> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://reference.flatfile.com/api-reference/environments/get-environment-event-token/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://reference.flatfile.com/_mcp/server. # Get environment subscription credentials GET https://api.x.flatfile.com/v1/environments/subscription-token Get a token which can be used to subscribe to events for this environment Reference: https://reference.flatfile.com/api-reference/environments/get-environment-event-token ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `environmentId` (string, required) — ID of environment to return ## Response ### 200 - `data` (EventToken, required) — Properties used to allow users to connect to the event bus ## Errors ### 400 Bad Request Error - `errors` (list of Error, required) ### 404 Not Found Error - `errors` (list of Error, required) ## Types ### EventToken Properties used to allow users to connect to the event bus - `accountId` (string, optional) — The ID of the Account. - `subscribeKey` (string, optional) — The id of the event bus to subscribe to - `ttl` (integer, optional) — Time to live in minutes - `token` (string, optional) — This should be your API key. ### Error - `message` (string, required) - `key` (string, optional) ## Examples **Response** ```json { "data": { "accountId": "us_acc_YOUR_ID", "subscribeKey": "sub-c-TOKEN", "ttl": 15, "token": "LONG-TOKEN" } } ``` **SDK Code** ```python Example0 import requests url = "https://api.x.flatfile.com/v1/environments/subscription-token" querystring = {"environmentId":"us_env_YOUR_ID"} headers = { "X-Disable-Hooks": "true", "Authorization": "Bearer " } response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```typescript Example0 import { FlatfileClient } from "@flatfile/api"; const client = new FlatfileClient({ token: "YOUR_TOKEN" }); await client.environments.getEnvironmentEventToken({ environmentId: "us_env_YOUR_ID" }); ``` ```go Example0 package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.x.flatfile.com/v1/environments/subscription-token?environmentId=us_env_YOUR_ID" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-Disable-Hooks", "true") req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example0 require 'uri' require 'net/http' url = URI("https://api.x.flatfile.com/v1/environments/subscription-token?environmentId=us_env_YOUR_ID") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-Disable-Hooks"] = 'true' request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Example0 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.x.flatfile.com/v1/environments/subscription-token?environmentId=us_env_YOUR_ID") .header("X-Disable-Hooks", "true") .header("Authorization", "Bearer ") .asString(); ``` ```php Example0 request('GET', 'https://api.x.flatfile.com/v1/environments/subscription-token?environmentId=us_env_YOUR_ID', [ 'headers' => [ 'Authorization' => 'Bearer ', 'X-Disable-Hooks' => 'true', ], ]); echo $response->getBody(); ``` ```csharp Example0 using RestSharp; var client = new RestClient("https://api.x.flatfile.com/v1/environments/subscription-token?environmentId=us_env_YOUR_ID"); var request = new RestRequest(Method.GET); request.AddHeader("X-Disable-Hooks", "true"); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Example0 import Foundation let headers = [ "X-Disable-Hooks": "true", "Authorization": "Bearer " ] let request = NSMutableURLRequest(url: NSURL(string: "https://api.x.flatfile.com/v1/environments/subscription-token?environmentId=us_env_YOUR_ID")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```